wake-up-neo.com

Alle Jupiter-Beiträge werden als möglicherweise inkompatibel markiert

Ich habe gerade jupyter_contrib_nbextensions Installiert von:

pip install jupyter_contrib_nbextensions
jupyter contrib nbextension install --user

Wenn ich ein Jupyter-Notizbuch öffne und zu Bearbeiten -> nbextensions config navigiere, wird der folgende Bildschirm angezeigt:

(nbextensions config

Alle Erweiterungen sind als " möglicherweise inkompatibel" gekennzeichnet. Eine Lösung besteht darin, die Option zu deaktivieren: " Konfiguration für Erweiterungen ohne explizite Kompatibilität deaktivieren". Aber ist es sicher? Irgendwelche Ideen, warum die nbextensions nicht kombinierbar sind?

Meine Paketversionen sind:

jupyter==1.0.0
notebook==6.0.1
jupyter-contrib-nbextensions==0.5.1
13
pgmank

Wie Sie feststellen werden, sind in Version 0.5.1 von jupyter_contrib_nbextensions Die meisten Erweiterungen mit den Versionen 4.X kompatibel und 5.X. Schauen Sie sich zum Beispiel diese Erweiterung an:

(nbextension details example

Wenn Sie die Option " Konfiguration für Erweiterungen ohne explizite Kompatibilität deaktivieren deaktivieren, haben Sie höchstwahrscheinlich kein Problem damit jede Erweiterung. Ich denke, dass die Entwickler den jupyter_contrib_extensions Noch nicht gegen das neue notebook Version 6.X getestet haben, das kürzlich gestartet wurde. Wenn Sie eine stabile und getestete Umgebung haben möchten, können Sie auf eine frühere Jupyter-Notebook-Version zurücksetzen. Die neueste kompatible Version ist 5.7.8 . Deinstallieren Sie einfach das aktuelle notebook und installieren Sie diese bestimmte Version, indem Sie Folgendes ausführen:

pip uninstall notebook
pip install notebook==5.7.8
8
pgmank